# ZMQSocket::setSockOpt

(PECL zmq >= 0.5.0)

ZMQSocket::setSockOpt — Set a socket option

### 说明

public ZMQSocket::setSockOpt(int `$key`, mixed `$value`): ZMQSocket

Sets a ZMQ socket option. The type of the `value` depends on the `key`. See ZMQ Constant Types for more information.

### 参数

`key`

  One of the `ZMQ::SOCKOPT_*` constants.

`value`

  The value of the parameter.

### 返回值

Returns the current object. Throws ZMQSocketException on error.

`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open